package com.spring.aop;

import java.lang.reflect.Method;

import org.springframework.aop.AfterReturningAdvice;
import org.springframework.aop.MethodBeforeAdvice;

/**
 * aop通知类
 * @author luwenbin006@163.com
 *
 */
public class LoveHelper implements MethodBeforeAdvice, AfterReturningAdvice
{

    //调用方法之前执行
    public void before(Method mtd, Object[] arg1, Object arg2) throws Throwable
    {
        System.out.println("谈恋爱之前必须要彼此了解！");
    }

    //调用方法之后执行
    public void afterReturning(Object arg0, Method arg1, Object[] arg2,
            Object arg3) throws Throwable
    {
        System.out.println("我们已经谈了5年了，最终还是分手了！");
        // System.out.println("我们已经谈了5年了，最终步入了结婚的殿堂！");
    }

}
